#
# spec file for package ibmrtpkgs
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           ibmrtpkgs
Url:            http://www10.software.ibm.com/developerworks/opensource/linux390
Summary:        IBM Utilities for SLERT
Version:        2
Release:        6.50.1
PreReq:         %insserv_prereq %fillup_prereq
License:        GPL-2.0
Group:          System/Management
Source:         ibmrtpkgs-%{version}.tar.gz
Patch1:         kthreadprio_defaults-bnc415750.diff
Patch2:         kthreadprio_autostart-bnc412439.diff
Patch3:         update_rtcheck_to_devel-bnc623542.diff
Patch4:         set_nfs_to_rt_per_ibm_testing.diff
Patch5:         make_init_lsb.diff
Patch6:         config_run_on_install.diff
Patch7:         correct-nice-for-realtime-bnc464343.patch
Patch8:         kthreadprio_defaults-bnc633514.diff
Patch9:         update_var_directory_usage-bnc714625.diff
Patch10:        irqbindall_cosmetic_fix-bnc703490.diff
Patch11:        irqbindall-rename-irq_balancer-to-irqbalance.diff
Patch12:        config-redirect-setterm-errors-to-dev-null.diff
Patch13:        irqbindall-add-systemd-service-file.diff
Patch14:        set_kthread_prio-add-systemd-service-file.diff
Patch15:        set_kthread_prio-modernize-it-a-bit.diff
AutoReqProv:    yes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A collection of utilities supplied by IBM to create a real time
environment primarily for RT WebSphere applications deployed on SLERT. 
Also contains a utility called ibm-prtm that removes latencies seen
when running SLERT on IBM hardware due to SMI interrupts.



Authors:
--------
    IBM

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%build
export OPT_FLAGS="$RPM_OPT_FLAGS"
cd $RPM_BUILD_DIR/ibmrtpkgs-2
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/modprobe.d $RPM_BUILD_ROOT/sbin $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/usr/lib/systemd/system
install $RPM_BUILD_DIR/ibmrtpkgs-2/config/config.sh $RPM_BUILD_ROOT/usr/sbin/ibmconfig
install $RPM_BUILD_DIR/ibmrtpkgs-2/irqbindall/irqbindall $RPM_BUILD_ROOT/etc/init.d/irqbindall
install -m 644 $RPM_BUILD_DIR/ibmrtpkgs-2/irqbindall/irqbindall.service $RPM_BUILD_ROOT/usr/lib/systemd/system/irqbindall.service
(cd $RPM_BUILD_ROOT/usr/sbin ; ln -s ../../etc/init.d/irqbindall rcirqbindall)
install $RPM_BUILD_DIR/ibmrtpkgs-2/set_kthread_prio/set_kthread_prio.conf $RPM_BUILD_ROOT/etc/set_kthread_prio.conf
install $RPM_BUILD_DIR/ibmrtpkgs-2/set_kthread_prio/set_kthread_prio $RPM_BUILD_ROOT/etc/init.d/set_kthread_prio
install -m 644 $RPM_BUILD_DIR/ibmrtpkgs-2/set_kthread_prio/set_kthread_prio.service $RPM_BUILD_ROOT/usr/lib/systemd/system/set_kthread_prio.service
(cd $RPM_BUILD_ROOT/usr/sbin ; ln -s ../../etc/init.d/set_kthread_prio rcset_kthread_prio)

for i in `( cd $RPM_BUILD_ROOT ; find * | sort )` ; do
        if ! test -d $RPM_BUILD_ROOT/$i ; then
            echo "/$i"
        fi
done > %{_builddir}/%{name}.list
# add unowned directory to keep build happy
echo /etc/modprobe.d >> %{_builddir}/%{name}.list

%post
if test ! -e /.buildenv; then
    /usr/sbin/ibmconfig
fi

%postun
%{restart_on_update irqbinall set_kthread_prio}
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{_builddir}/%{name}.list
%defattr(-,root,root)
%doc COPYING README

%changelog
* Thu Feb 18 2016 Mike Galbraith <mgalbraith@suse.de>
- Fix Warning: /etc/init.d/'foo' is masked by... foo.service
* Thu Feb 18 2016 Mike Galbraith <mgalbraith@suse.de>
- Add Install sections to systemd service files.
* Wed Feb 17 2016 Mike Galbraith <mgalbraith@suse.de>
- Drop unneeded cruft, keeping only irqbindall and set_kthread_prio
- Add systemd service files.
- Fix up install warnings (bnc#966818)
* Wed Jul 11 2012 anicka@suse.com
- revert back to state from Jun 18 due to bnc#770473
* Fri Jul  6 2012 anicka@suse.com
- modify sources according to IBM requests, remove following files
  and references to them:
  * /etc/init.d/irqbindall
  * /etc/init.d/rt-sshd
  * /etc/init.d/rtcheck
  * /etc/init.d/set_kthread_prio
  * /etc/set_kthread_prio.conf
  * /usr/bin/dslimit
  * /usr/bin/rt-watchdog
  * /usr/sbin/rcirqbindall
  * /usr/sbin/rcrt-sshd
  * /usr/sbin/rcrtcheck
  * /usr/sbin/rcset_kthread_prio
- fix bnc#769560
* Mon Jun 18 2012 Mike Galbraith <mgalbraith@suse.de>
- Per IBM request, replace GPL v3 license with v2 (bnc#766637)
- Adjust spec file to reflect v3->v2 license change.
- Update ibm-prtm to v1.10
* Thu Nov 24 2011 Mike Galbraith <mgalbraith@suse.de>
- Apply cosmetic fix to irqbindall (bnc#703490)
* Thu Nov 24 2011 Mike Galbraith <mgalbraith@suse.de>
- Adjust /var usage to meet the rules of newer distros (bnc#714625)
* Thu Oct 21 2010 Mike Galbraith <mgalbraith@suse.de>
- Adjust kthread default priorities (bnc#633514)
* Tue Aug 10 2010 Mike Galbraith <mgalbraith@suse.de>
- Remove buggy 623538 patch (bnc#622574)
* Thu Aug  5 2010 Mike Galbraith <mgalbraith@suse.de>
- Update rtcheck to latest devel version (bnc#623542)
* Tue Jul 27 2010 mmarek@suse.cz
- Enable the ipmi service in %%post (bnc#622574).
* Fri Jul 23 2010 Mike Galbraith <mgalbraith@suse.de>
- Add IBM HS21 detection fix (bnc#623538)
* Sun Jul 18 2010 Mike Galbraith <mgalbraith@suse.de>
- Added dependency on ipmitool (bnc#622574)
* Fri May 28 2010 Mike Galbraith <mgalbraith@suse.de>
- Add /etc/modprobe.d to files list lest it gripe about unowned directory
* Fri May 21 2010 Mike Galbraith <mgalbraith@suse.de>
- Updated ibm-prtm to V1.7 (bnc#607068)
- remove ibm-prtm_for_ls22-bnc443830.diff
- remove ibm-prtm_blacklist_k8_edac.diff
- remove ibm-prtmd-in-usr_sbin.diff
- remove ibm-prtmd-ls21-reorder.diff
- remove ibmrtpkgs-2/ibm-prtm/*
- refresh bnc481626_ibm-prtm-patch_edac.diff
- add ibmrtpkgs-2/ibm-prtm/* (V1.7 files)
* Wed Apr  1 2009 alext@suse.de
- Added edac patch from bnc#481626, comment#18.
* Thu Mar 12 2009 alext@suse.de
- Fix bnc#464343 (limits.conf nice value incorrect)
* Wed Mar 11 2009 alext@suse.de
- Fix bnc#481626 (Updates for IBM packages and SLERT)
- Small spec file changes
- vernux@us.ibm.com logs following changes:
- Change config.sh from a run-at-boot script to a run
  once on install script
- Remove kdump changes from config.sh
- Move ibm-prtmd to /usr/sbin (since it requires uid=0 to run)
- Add /etc/modprobe.d/ibm-amd
- move rtcheck path to /usr/bin (can be run by non-privileged users)
* Mon Nov 24 2008 alext@suse.de
- Fixed problems from previous build and failed tests, still under
  same swampid: fix path of rtcheck to /sbin, add proper init.d
  lsb comment headers.
* Tue Nov 11 2008 alext@suse.de
- SwampID: 20541 covers this and previous log messages
- Update rtcheck to 0.7.5 to avoid forking from stable.
  Patch: update_rtcheck_to_0_7_5-bnc431066.diff
  Fixes: bnc#431066 (tail)
- Upgrade ibm-prtm utility for support for LS22 hardware.
  Patch: ibm-prtm_for_ls22-bnc443830.diff
  Fixes: bnc#443830
- Change nfs kernel threads to rt priority of sirq-net-*+1, this
  fixes nfs hangs that have appeared due to nfs stress tests
  performed at IBM.
  Patch: set_nfs_to_rt_per_ibm_testing.diff
* Tue Oct 28 2008 alext@suse.de
- Add patch from IBM to leave default kthread priority at current
  setting if the kthread is not recognized in set_kthread_prio.conf.
  Patch: kthreadprio_defaults-bnc415750.diff
  Fixes bnc#415750
- Add insserv comment section to init.d/set_kthread_prio so script
  is activated for subsequent reboots; change fillup_and_insserv
  options in spec file to -fy, otherwise it doesn't turn it on.
  Patch: kthreadprio_autostart-bnc412439.diff
  Fixes: bnc#412439
- Update rtcheck to version 0.7-4 as supplied by IBM.  Rename
  rtcheck directory from rtcheck-0.6-5 to rtcheck.
  Patch: update_rtcheck_to_0_7_4-bnc431066.diff
  Fixes: bnc#431066
- Do not activate rt-sshd on install as per IBM
* Wed Jun  4 2008 alext@suse.de
- Fixed small problem with sed commandlines
* Fri May 30 2008 alext@suse.de
- Applied patches coming in on rtibm list for ibm-prtmd, ibm-prtm,
  and config.sh.
* Wed May 21 2008 alext@suse.de
- Disable calling of rc scripts in %%post if installed on build
  machine.  Fixes build errors.
* Thu May 15 2008 alext@suse.de
- Fixed ibm-prtm/ibm-prtm script to use start_daemon
- Fixed config.sh script to work on slert/sles; changed to be able
  to run on every boot
- Added ibmconfig sysinit script to call config.sh
- Change NOVELL_README to README and included in doc dir as well
  as COPYING file
- Added common /etc/init.d/functions file for scripts so they work
- Fixed errors in other scripts
- Changed spec file to run rc scripts on install and activate all
  service scripts on boot
- Installation of this package automatically sets up the IBM RT
  environment for the current and subsequent reboots
* Wed May  7 2008 ihno@suse.de
- initial Version
